class BrandModelType {
  String name;
  List<ListBrand> listBrand;

  BrandModelType({this.name, this.listBrand});

  BrandModelType.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    if (json['listBrand'] != null) {
      listBrand = new List<ListBrand>();
      json['listBrand'].forEach((v) {
        listBrand.add(new ListBrand.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    if (this.listBrand != null) {
      data['listBrand'] = this.listBrand.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ListBrand {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  String ename;
  String logo;
  String descr;
  int sort;
  int statuz;
  int hotFlag;

  ListBrand(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.ename,
      this.logo,
      this.descr,
      this.sort,
      this.statuz,
      this.hotFlag});

  ListBrand.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    ename = json['ename'];
    logo = json['logo'];
    descr = json['descr'];
    sort = json['sort'];
    statuz = json['statuz'];
    hotFlag = json['hotFlag'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['ename'] = this.ename;
    data['logo'] = this.logo;
    data['descr'] = this.descr;
    data['sort'] = this.sort;
    data['statuz'] = this.statuz;
    data['hotFlag'] = this.hotFlag;
    return data;
  }
}